---
title: Window.mozInnerScreenX
slug: Web/API/Window/mozInnerScreenX
tags:
  - API
  - HTML DOM
  - NeedsExample
  - NeedsMarkupWork
  - NeedsSpecTable
  - Property
  - Reference
  - Window
---
<div>{{APIRef}}{{gecko_minversion_header("1.9.2")}}</div>

<h2 id="Summary">Summary</h2>

<p>Gets the X coordinate of the top-left corner of the window's viewport, in screen coordinates.</p>

<div class="note"><strong>Note:</strong> This coordinate is reported in CSS pixels, not in hardware pixels. That means it can be affected by the zoom level; to compute the actual number of physical screen pixels, you should use the<a href="/en-US/docs/XPCOM_Interface_Reference/nsIDOMWindowUtils"> <code>nsIDOMWindowUtils.screenPixelsPerCSSPixel</code></a> property.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>screenX</var> = window.mozInnerScreenX;</pre>

<h3 id="Value">Value</h3>

<ul>
 <li><var>screenX</var> stores the <code>window.mozInnerScreenX</code> property value.</li>
 <li>The <code>window.mozInnerScreenX</code> property is a floating point, read-only value; it has no default value.</li>
</ul>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any <abbr title="World Wide Web Consortium">W3C</abbr> technical specification or recommendation.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Window.mozInnerScreenX")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("window.mozInnerScreenY")}}</li>
 <li><a href="/en-US/docs/XPCOM_Interface_Reference/nsIDOMWindowUtils"><code>nsIDOMWindowUtils.screenPixelsPerCSSPixel</code></a></li>
</ul>
